View Issue Details

IDProjectCategoryView StatusLast Update
0003085SOGoSOPEpublic2015-05-19 14:54
Reporterwimmer Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.0 
Target Version2.3.0Fixed in Version2.3.0 
Summary0003085: SOPE is respecting the 998 character limitation but not folding the "To" header correctly
Description

SOGo WebGUI splits long list of recipients addresses into many lines in the transport header by message sending and insert there empty lines too. Recipient's clients consider that places for delimiter of transport header and so they cannot interpret inserted attachments well.

I sent probative files to Francis in PM and he answered me:
"We'll have a look at it. Seems like SOPE is respecting the 998 character
limitation but not folding the "To" header correctly."

TagsNo tags attached.

Activities

wimmer

wimmer

2015-02-12 14:45

reporter   ~0008179

I see main problem on the SOGo side, when it writes addresses of all recipients into the only one long line.
We must respect that most SMTP servers uses default setting and we cannot influence setting of SMTP servers on the whole message transport
way to its recipients.
Let's look at how Thunderbird works in this situation - it splites addresses of recipients into many lines:

To: abcdefghijkl0@axorx.zcu.cz, abcdefghijkl1@axorx.zcu.cz,
abcdefghijkl2@axorx.zcu.cz, abcdefghijkl3@axorx.zcu.cz,
abcdefghijkl4@axorx.zcu.cz, abcdefghijkl5@axorx.zcu.cz,
...

and so there is no problem with lengths of the lines.

When SOGo will work the same way, all will be fine.

ludovic

ludovic

2015-05-19 14:54

administrator   ~0008502

https://github.com/inverse-inc/sope/commit/918ecf623f32b4318545e883b30038ac9a187a79

Issue History

Date Modified Username Field Change
2015-01-31 08:29 wimmer New Issue
2015-02-12 14:45 wimmer Note Added: 0008179
2015-05-17 07:33 ludovic Target Version => 2.3.0
2015-05-19 14:54 ludovic Product Version => 2.3.0
2015-05-19 14:54 ludovic Note Added: 0008502
2015-05-19 14:54 ludovic Status new => resolved
2015-05-19 14:54 ludovic Fixed in Version => 2.3.0
2015-05-19 14:54 ludovic Resolution open => fixed
2015-05-19 14:54 ludovic Assigned To => ludovic